Get Trade

GEThttps://bank.dattaremit.com/api/trades/{trade_guid}

Requires a bank-scoped key.

Retrieves a trade.

Required scope: trades:read

Path Params

trade_guidstringrequired

Identifier for the trade.

Responses

200

trade found

401

Unauthorized - Authentication failed

403

Invalid scope

404

trade not found

Request

curl https://api.dattaremit.com/api/trades/{trade_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

trade found

{
  "guid": "string",
  "trade_type": "string",
  "customer_guid": "string",
  "quote_guid": "string",
  "symbol": "string",
  "side": "string",
  "state": "string",
  "failure_code": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "fee": 1,
  "fee_details": [
    {
      "type": "bank",
      "asset": "string",
      "amount": 1
    }
  ],
  "reference_trade_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "labels": [
    "string"
  ]
}